using System;
using System.Collections.Generic;
using System.Text;

namespace CirkelClassLibrary
{
    internal class Cirkel : ICirkel, IComparable
    {
        private long radius;     // object memory

        internal Cirkel(long radius)
        {
            this.radius = radius;
        }
 
       #region ICirkel Members

        public long Radius
        {
            get
            {
                return this.radius;
            }
            set
            {
                this.radius = value;
            }
        }

        public double Omkreds()
        {
            double beregnetOmkreds;
            beregnetOmkreds = 2 * Math.PI * this.radius;
            return beregnetOmkreds;
        }

        public double Areal()
        {
            double beregnetAreal;
            beregnetAreal = Math.PI * this.radius * this.radius;
            return beregnetAreal;
        }

        #endregion



        #region IComparable Members

        public int CompareTo(object obj)
        {
            return (int)(this.radius - (obj as Cirkel).radius);
        }

        #endregion
    }
}
