using System;
using System.Collections.Generic;
using System.Text;

namespace CirkelClassLibrary
{
    public class CirkelFasade
    {
        public static void AfprvCirkel()
        {
            Console.WriteLine("\nstatic void AfprvCirkel()");
            
            Cirkel c = new Cirkel(10);
            Console.WriteLine("Radius:" + c.Radius);
            Console.WriteLine("Omkreds:" + c.Omkreds());
            Console.WriteLine("Areal:" + c.Areal());

            c.Radius = 5;
            Console.WriteLine("Radius:" + c.Radius);
            Console.WriteLine("Omkreds:" + c.Omkreds());
            Console.WriteLine("Areal:" + c.Areal());
        }
        public static void AfprvCirkelInterface()
        {
            Console.WriteLine("\nstatic void AfprvCirkelInterface()");

            ICirkel c = new Cirkel(100);
            
            Console.WriteLine("Radius:" + c.Radius);
            Console.WriteLine("Omkreds:" + c.Omkreds());
            Console.WriteLine("Areal:" + c.Areal());

            c.Radius = 50;
            Console.WriteLine("Radius:" + c.Radius);
            Console.WriteLine("Omkreds:" + c.Omkreds());
            Console.WriteLine("Areal:" + c.Areal());
        }
        public static ICirkel HentInterfaceTilNyCirkel(long radius)
        {
            return new Cirkel(radius);
        }

        public static void AfprvCirkelSortering()
        {
            Console.WriteLine("\nstatic void AfprvCirkelSortering()");
         
            List<ICirkel> l = new List<ICirkel>();
            l.Add(new Cirkel(10));
            l.Add(new Cirkel(11));
            l.Add(new Cirkel(9));
            l.Add(new Cirkel(8));
            l.Add(new Cirkel(20));

            Console.WriteLine("\nListen som den er");
            foreach (ICirkel c in l)
            {
                Console.WriteLine("Radius:" + c.Radius);
                Console.WriteLine("Omkreds:" + c.Omkreds());
                Console.WriteLine("Areal:" + c.Areal());
            }

            Console.WriteLine("\nListen sorteret og reverse");
            l.Sort();
            l.Reverse();
            foreach (ICirkel c in l)
            {
                Console.WriteLine("Radius:" + c.Radius);
                Console.WriteLine("Omkreds:" + c.Omkreds());
                Console.WriteLine("Areal:" + c.Areal());
            }


            Console.WriteLine("\nListen kopiet til array og sorteret");
            ICirkel[] ac = l.ToArray();
            Array.Sort(ac);

            foreach (ICirkel c in ac)
            {
                Console.WriteLine("Radius:" + c.Radius);
                Console.WriteLine("Omkreds:" + c.Omkreds());
                Console.WriteLine("Areal:" + c.Areal());
            }
        }
    }
}
